                                                         **WELCOME TO CONTRIBUTORS**
                                                         
                                                         
We as a team always ushers the changes and addition of features,enhancement to the existing one. Diversity is one of our huge strengths.
To that end, we have a few ground rules that we ask people to adhere to. This code applies equally to founders, mentors and those seeking help and guidance,Developers,Beginners.
 
**CODE OF CONDUCT:**

                                                                **OUR PLEDGE**
* Building Welcoming communities   : Building a community that encourages people to use, contribute to, and evangelize our project.
* Leadership and Governance        : incorporating regular project contributors into our workflow, whether it’s giving someone commit access or resolving community debates.
                                       with theme as - "If you have questions, we’ve got answers."
* ushering the Contributions always:  we follow the rule as - "every person who shows up to comment on an issue or submit code is a member of our  project’s community. 
                                       Just being able to see them means that they have crossed the line from being a user to being a contributor."                               

Our code of conduct empowers you to facilitate healthy, constructive community behavior.In addition to communicating your expectations,we follow some set of rules

**HOW TO CONTRIBUTE:**   
 As contributors and maintainers of this project, we pledge to respect all people who contribute through reporting issues, posting feature requests, updating documentation, submitting pull requests or patches, and other activities.
* The Contributor Covenant is a living document, and has been open sourced. Contributions in the form of issues and pull requests are welcomed and encouraged.
* *OPENING MERGE REQUESTS:*  whenever u feel like uploading a file u can by opening the merge requests ,we as a team will accept it by closing the merge request.
* *REPORTING ISSUES      :*  Before creating issues, please check list of existing issues to see if issue you want to open is already known or not.
                              If issue is not found, you can report your issue along with detailed description that includes;
                              1. Version of VS Code, GitLab Workflow and Operating System used.
                              2. Expected behaviour and actual behaviour.
                              3. Expected behaviour and actual behaviour.
* *PROPOSING FEATURES     :*  Having said that, we welcome new and interesting ideas that you might have for this extension, so feel free to propose those by opening an issue 
                               within project with detailed description that includes;

                               How this feature is useful
                               Possible approach to implement it (we're open to your ideas)
                               Label feature-proposal added to the issue.
                             
**RESOURCES:**

**technlogies required**
    - python
        [LMS link for python](https://learning.swecha.org/course/view.php?id=46)
    - bokeh
    - matplotlib
    - bottle

MODULES:
MODULE 1: Dataset Collection

searched different websites for the appropriate dataset which matches our idea
collected the data from Telangana Open Data Portal in EDUCATION topic
Reference link  [https://www.data.telangana.gov.in/]

MODULE 2:Basic insight of Dataset

Understanding the dataset
making and sorting a list of what kind of analysis and visualisations to be performed.

MODULE 3:Data Acquistion

importing python pacakges for datascience
Importing and Exporting data in python
PACKAGES IMPORTED ARE

Pandas
Numpy
Matplotlib
Cufflinks



MODULE 4:Data Wrangling

preprocessing data in python
Dealing with missing values in python
Data formatting in python
Data Normalisation and Binning

MODULE 5: Exploratory Data Analysis

Descriptive statics
groupby in python
correlation and correlation statistics
PACKAGES IMPORTED ARE:


Seaborn

MODULE 6: Data visualisation

Static Data visualisations
PACKAGES IMPORTED ARE:


ggplot

**TESTING LOCATIONS:**

Schools and Colleges

Team Introductions:

B.Bharathi

S.Vishal Reddy

M.Srichitha

L.Kalyan Kumar

P.Shivani

T.Aravind

Team Contributions:

Dataset Collection and Preprocessing: Shivani

Data Analysis: Srichitha

Static Visualizations: Bharathi

Dynamic Visualizations: Aravind

Web page building: Vishal and Kalyan

USE(MARKET):
with the web application which we build and deploy it will be make available for  education department of telangana government so that govt can take some preventive measures to decline the illiteracy rates.
(if any further implementations that we could build ,we will).




































